package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.CrmInvoiceInfo;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.service.vo.CrmInvoiceInfoExportVO;
import com.usky.iot.service.vo.CrmInvoiceInfoRequest;
import com.usky.iot.service.vo.CrmInvoiceInfoStatisticVO;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 客户发票信息表 服务类
 * </p>
 *
 * @author han
 * @since 2023-06-29
 */
public interface CrmInvoiceInfoService extends CrudService<CrmInvoiceInfo> {

    void add(CrmInvoiceInfo invoiceInfo);

    void update(CrmInvoiceInfo invoiceInfo);

    CommonPage<CrmInvoiceInfo> page(CrmInvoiceInfoRequest crmInvoiceInfoRequest);

    List<CrmInvoiceInfoStatisticVO> statistic(CrmInvoiceInfoRequest crmInvoiceInfoRequest);

    List<CrmInvoiceInfoExportVO> export(CrmInvoiceInfoRequest crmInvoiceInfoRequest);
}
